if exists (Select * from sys.objects where name = 'stp_Insert_Pago_Detalle')
BEGIN 
	Drop procedure stp_Insert_Pago_Detalle
end
go	

CREATE PROCEDURE stp_Insert_Pago_Detalle(
		@vchUsuario			varchar(50),
		@intUsuarioId		int ,
		@vchFolioPayPal		varchar(50) ,
		@decMontoPago		decimal(18,2),
		@intCursoId			int,
		@bitConfirmado		bit,
		@datFechaPago		date,
		@datFechaAlta		date,
		@vchEstatusPago		varchar(30),
		@vchMetodoPago varchar(50),
		@vchCurso varchar(50)
		)
AS

INSERT INTO 
	tbl_det_pagos(
	vchUsuario		
	,intUsuarioId	
	,vchFolioPayPal	
	,decMontoPago	
	,intCursoId		
	,bitConfirmado	
	,datFechaPago	
	,datFechaAlta	
	,vchEstatusPago	
	,bitActivo
	,vchMetodoPago
	,vchCurso
		)
VALUES
	(@vchUsuario		
		,@intUsuarioId	
		,@vchFolioPayPal	
		,@decMontoPago	
		,@intCursoId		
		,@bitConfirmado	
		,@datFechaPago	
		,@datFechaAlta	
		,@vchEstatusPago
		,1
		,@vchMetodoPago
		,@vchCurso)
